Hypersistence Optimizer - Version 2.13.0 - 2025-12-16
================================================================================

Add support for Hibernate ORM 7.2 (https://github.com/vladmihalcea/hypersistence-optimizer/issues/264)

Hypersistence Optimizer - Version 2.12.1 - 2025-08-14
================================================================================

Add missing Hibernate 7.1 scanners to the deployment pack (https://github.com/vladmihalcea/hypersistence-optimizer/issues/260)

Hypersistence Optimizer - Version 2.12.0 - 2025-08-11
================================================================================

Add support for Hibernate ORM 7.1 (https://github.com/vladmihalcea/hypersistence-optimizer/issues/259)

Hypersistence Optimizer - Version 2.11.1 - 2025-05-21
================================================================================

Add support for Hibernate ORM 7.0.0.CR2 (https://github.com/vladmihalcea/hypersistence-optimizer/issues/257)

Add support for Hibernate ORM 7.0.0.CR1 (https://github.com/vladmihalcea/hypersistence-optimizer/issues/256)

Add support for Hibernate ORM 7.0.0.Beta5 (https://github.com/vladmihalcea/hypersistence-optimizer/issues/255)

Hypersistence Optimizer - Version 2.11.0 - 2025-02-17
================================================================================

Add preliminary support for Hibernate 7.0 (https://github.com/vladmihalcea/hypersistence-optimizer/issues/252)

Hypersistence Optimizer - Version 2.10.1 - 2024-09-11
================================================================================

ClassCastException: class sun.reflect.generics.reflectiveObjects.TypeVariableImpl cannot be cast to class java.lang.Class (https://github.com/vladmihalcea/hypersistence-optimizer/issues/250)

Hypersistence Optimizer - Version 2.10.0 - 2024-09-06
================================================================================

Add support for Hibernate 6.6 (https://github.com/vladmihalcea/hypersistence-optimizer/issues/248)

Hypersistence Optimizer - Version 2.9.0 - 2024-06-02
================================================================================

SecondaryQueryEntityFetchingEvent is not triggered for bidirectional OneToOne associations (https://github.com/vladmihalcea/hypersistence-optimizer/issues/240)

Prevent the OneToOneParentSideEvent if the optional attribute is set to false (https://github.com/vladmihalcea/hypersistence-optimizer/issues/241)

Add support for Hibernate 6.5 (https://github.com/vladmihalcea/hypersistence-optimizer/issues/242)

TableRowAlreadyManagedEvent is triggered for entities using SINGLE_TABLE inheritance (https://github.com/vladmihalcea/hypersistence-optimizer/issues/244)

Hypersistence Optimizer - Version 2.8.2 - 2024-01-15
================================================================================

Hypersistence EventListener Session unwrapping fails in JTA environment (https://github.com/vladmihalcea/hypersistence-optimizer/issues/225)

Hypersistence Optimizer - Version 2.8.1 - 2023-12-12
================================================================================

ClassNotFoundException - Hibernate63SessionFactoryBuilderFactory is missing in the 2.8.0 library version (https://github.com/vladmihalcea/hypersistence-optimizer/issues/217)

Hypersistence Optimizer - Version 2.8.0 - 2023-12-11
================================================================================

Detect if entities are fetched but never modified in a read-write JPA transaction (https://github.com/vladmihalcea/hypersistence-optimizer/issues/66)

Support for Micronaut (https://github.com/vladmihalcea/hypersistence-optimizer/issues/206)

Add support for Hibernate 6.3 (https://github.com/vladmihalcea/hypersistence-optimizer/issues/211)

Add support for detecting when loading in the Persistence Context multiple entities mapped to the same tables (https://github.com/vladmihalcea/hypersistence-optimizer/issues/212)

NullCollectionEvent is triggered for entities that use the Bytecode Enhancement lazy loading (https://github.com/vladmihalcea/hypersistence-optimizer/issues/214)

Add support for Hibernate 6.4 (https://github.com/vladmihalcea/hypersistence-optimizer/issues/215)

Prevent the DataSourceConnectionProviderEvent if the QuarkusConnectionProvider is used (https://github.com/vladmihalcea/hypersistence-optimizer/issues/216)

Hypersistence Optimizer - Version 2.7.1 - 2023-06-17
================================================================================

Improve the Grails docs to include a GitHub repository with an example (https://github.com/vladmihalcea/hypersistence-optimizer/issues/209)

Hibernate62MappingScanner throws ClassCastException when using OneToOne mapping referencing an IDENTITY column (https://github.com/vladmihalcea/hypersistence-optimizer/issues/210)

Hypersistence Optimizer - Version 2.7.0 - 2023-04-06
================================================================================

Check whether rewriteBatchedStatements is enabled when using MySQL (https://github.com/vladmihalcea/hypersistence-optimizer/issues/172)

Document how to disable the banner (https://github.com/vladmihalcea/hypersistence-optimizer/issues/181)

Add Kotlin example with all-open setting (https://github.com/vladmihalcea/hypersistence-optimizer/issues/185)

Add support for testing JTA using Narayana and Jakarta Transactions (https://github.com/vladmihalcea/hypersistence-optimizer/issues/186)

Detect whole query cache invalidations when executing native SQL queries (https://github.com/vladmihalcea/hypersistence-optimizer/issues/188)

Add mention that mavenLocal() should be in the repositories list of build.gradle in the installation guide (https://github.com/vladmihalcea/hypersistence-optimizer/issues/190)

Add support for detecting when MultipleHiLoPerTableGenerator is used (https://github.com/vladmihalcea/hypersistence-optimizer/issues/196)

Provide a private Maven Repository (https://github.com/vladmihalcea/hypersistence-optimizer/issues/202)

Add support for Hibernate 6.2 (https://github.com/vladmihalcea/hypersistence-optimizer/issues/203)

Add classifiers for jre6 and jakarta dependencies (https://github.com/vladmihalcea/hypersistence-optimizer/issues/204)

Hypersistence Optimizer - Version 2.6.3 - 2022-11-17
================================================================================

HypersistenceHibernatePersistenceProvider cannot resolve the SessionFactoryDecorator constructor (https://github.com/vladmihalcea/hypersistence-optimizer/issues/182)

Hypersistence Optimizer - Version 2.6.2 - 2022-09-04
================================================================================

Add support for Hibernate 6.1 enhancement (https://github.com/vladmihalcea/hypersistence-optimizer/issues/171)

Add support for Spring 6 enhancement (https://github.com/vladmihalcea/hypersistence-optimizer/issues/175)

NullPointerException thrown by the isQueryFilteringByEntityId method (https://github.com/vladmihalcea/hypersistence-optimizer/issues/176)

Hypersistence Optimizer - Version 2.6.1 - 2022-08-19
================================================================================

Ignore Events triggered by default Envers entities  (https://github.com/vladmihalcea/hypersistence-optimizer/issues/173)

Add entityName to EntityMappingEvent (https://github.com/vladmihalcea/hypersistence-optimizer/issues/174)

Hypersistence Optimizer - Version 2.6.0 - 2022-07-03
================================================================================

Detect N+1 query issues triggered by lazy loading (https://github.com/vladmihalcea/hypersistence-optimizer/issues/153)

Detect N+1 query issues triggered by eager loading (https://github.com/vladmihalcea/hypersistence-optimizer/issues/154)

Check if the SQL Server JDBC Driver disabled the sendStringParametersAsUnicode setting (https://github.com/vladmihalcea/hypersistence-optimizer/issues/158)

Spring JPA existsBy query flagged as PaginationWithoutOrderByEvent (https://github.com/vladmihalcea/hypersistence-optimizer/issues/161)

The reWriteBatchedInserts setting is not read properly when the DataSource is created by the connection pool (https://github.com/vladmihalcea/hypersistence-optimizer/issues/168)

Add support for Hibernate 6.0 (https://github.com/vladmihalcea/hypersistence-optimizer/issues/170)

Hypersistence Optimizer - Version 2.5.1 - 2022-02-25
================================================================================

Prevent the OneToOneParentSideEvent from triggering from Hibernate 5.5 onwards (https://github.com/vladmihalcea/hypersistence-optimizer/issues/160)

Hypersistence Optimizer - Version 2.5.0 - 2022-01-10
================================================================================

Add support for verifying equals and hashCode entity method implementations when calling persist (https://github.com/vladmihalcea/hypersistence-optimizer/issues/44)

Add time monitoring for the JPA or Hibernate Query execution (https://github.com/vladmihalcea/hypersistence-optimizer/issues/86)

Check if the JPA LockModeType.OPTIMISTIC lock strategy is used with LockModeType.PESSIMISTIC_READ or LockModeType.PESSIMISTIC_WRITE (https://github.com/vladmihalcea/hypersistence-optimizer/issues/109)

When using PostgreSQL, check whether reWriteBatchedInserts is activated (https://github.com/vladmihalcea/hypersistence-optimizer/issues/113)

Remove deprecated methods in EntityMappingEvent, ChainEventHandler, and QueryResultListSizeEvent (https://github.com/vladmihalcea/hypersistence-optimizer/issues/150)

Check also the JdbcConnection getProperties when scanning the MySQL JDBC Connection (https://github.com/vladmihalcea/hypersistence-optimizer/issues/152)

Add support for verifying equals and hashCode entity method implementations when calling merge (https://github.com/vladmihalcea/hypersistence-optimizer/issues/155)

Add support for verifying equals and hashCode entity method implementations when calling save and saveOrUpdate (https://github.com/vladmihalcea/hypersistence-optimizer/issues/156)

Add support for Hibernate 5.6 (https://github.com/vladmihalcea/hypersistence-optimizer/issues/157)

Hypersistence Optimizer - Version 2.4.2 - 2021-08-27
================================================================================

QueryResultListSizeEvent contains the query result set in plaintext and with many data (https://github.com/vladmihalcea/hypersistence-optimizer/issues/147)

Add setup instructions for Grails (https://github.com/vladmihalcea/hypersistence-optimizer/issues/148)

Remove the hibernate-entitymanager runtime dependency when not using JPA with Hibernate 5.1 or older (https://github.com/vladmihalcea/hypersistence-optimizer/issues/149)

Remove the entityName attribute from the EntityMappingEvent (https://github.com/vladmihalcea/hypersistence-optimizer/issues/151)

Hypersistence Optimizer - Version 2.4.1 - 2021-08-05
================================================================================

Prevent the BidirectionalSynchronizationEvent from triggering for immutable collections (https://github.com/vladmihalcea/hypersistence-optimizer/issues/141)

Prevent the FlushModeAutoEvent from triggering for native SQL queries when the Session is using FlushMode.MANUAL (https://github.com/vladmihalcea/hypersistence-optimizer/issues/142)

Limit the number of events stored by the ListEventHandler (https://github.com/vladmihalcea/hypersistence-optimizer/issues/146)

Hypersistence Optimizer - Version 2.4.0 - 2021-06-09
================================================================================

When using Oracle, check if the implicit statement caching mechanism is enabled (https://github.com/vladmihalcea/hypersistence-optimizer/issues/114)

When using SQL Server, check if the statement caching mechanism is enabled (https://github.com/vladmihalcea/hypersistence-optimizer/issues/115)

When using PostgreSQL, check if the statement caching mechanism is enabled (https://github.com/vladmihalcea/hypersistence-optimizer/issues/116)

When using MySQL, check if the statement caching mechanism is enabled (https://github.com/vladmihalcea/hypersistence-optimizer/issues/117)

Trigger the EagerFetchingEvent when an entity attribute uses the @LazyCollection(LazyCollectionOption.FALSE) mapping (https://github.com/vladmihalcea/hypersistence-optimizer/issues/136)

Check the hibernate.query.plan_cache_max_size configuration value (https://github.com/vladmihalcea/hypersistence-optimizer/issues/137)

Check if and entity with @ManyToOne and @OneToOne associations uses @DynamicUpdate on SQL Server (https://github.com/vladmihalcea/hypersistence-optimizer/issues/138)

Add JMX support (https://github.com/vladmihalcea/hypersistence-optimizer/issues/139)

Add support for Hibernate 5.5 (https://github.com/vladmihalcea/hypersistence-optimizer/issues/140)

Hypersistence Optimizer - Version 2.3.1 - 2021-03-19
================================================================================

Add a configuration option to disable the printing of the Hypersistence Optimize banner (https://github.com/vladmihalcea/hypersistence-optimizer/issues/134)

Replace the old Java Sun XSD URL with the JCP one (https://github.com/vladmihalcea/hypersistence-optimizer/issues/135)

Hypersistence Optimizer - Version 2.3.0 - 2021-01-18
================================================================================

Embed META-INF/services and activate the SessionFactory decoration automatically (https://github.com/vladmihalcea/hypersistence-optimizer/issues/85)

A TransactionRequiredException is thrown when setting a Spring AsyncTaskExecutor on the LocalSessionFactoryBean (https://github.com/vladmihalcea/hypersistence-optimizer/issues/110)

Check if a transaction doesn't execute any SQL statement (https://github.com/vladmihalcea/hypersistence-optimizer/issues/118)

Check if @LazyToOne(LazyToOneOption.NO_PROXY) is set for parent-side OneToOne associations when using enableLazyInitialization bytecode enhancement (https://github.com/vladmihalcea/hypersistence-optimizer/issues/120)

Skip the "No issue was found" message when all scanners are disabled (https://github.com/vladmihalcea/hypersistence-optimizer/issues/121)

Check if the Persistence Context executes multiple SQL statements in auto-commit mode (https://github.com/vladmihalcea/hypersistence-optimizer/issues/128)

Check if the Connection is set to the auto-commit mode (https://github.com/vladmihalcea/hypersistence-optimizer/issues/129)

Change the Archiva command from archive to archiva in the Installation Guide (https://github.com/vladmihalcea/hypersistence-optimizer/issues/130)

Hypersistence Optimizer - Version 2.2.0 - 2020-09-14
================================================================================

Check if the ValidityAuditStrategy is used with Hibernate Envers (https://github.com/vladmihalcea/hypersistence-optimizer/issues/64)

Check if the JPA or Hibernate Query returns a List with more than 100 elements (https://github.com/vladmihalcea/hypersistence-optimizer/issues/68)

Add time monitoring for the execution of the JPA EntityManager and Hibernate Session flush method (https://github.com/vladmihalcea/hypersistence-optimizer/issues/87)

Add a section in the Installation Guide about using Apache Archiva for sharing the project artifacts (https://github.com/vladmihalcea/hypersistence-optimizer/issues/99)

LargeColumnEvent should not be thrown if the field can be fetched lazily (https://github.com/vladmihalcea/hypersistence-optimizer/issues/103)

Check if the Hibernate Query iterate method returns an Iterator with more than 100 elements (https://github.com/vladmihalcea/hypersistence-optimizer/issues/104)

Add Apache Archiva deploy scripts (https://github.com/vladmihalcea/hypersistence-optimizer/issues/107)

Fix the "Not an entity" IllegalArgumentException issue caused by not passing the entity name when calling Session#contains (https://github.com/vladmihalcea/hypersistence-optimizer/issues/108)

Hypersistence Optimizer - Version 2.1.1 - 2020-05-25
================================================================================

Update the Play Framework configuration to get the decorated SessionFactory reference (https://github.com/vladmihalcea/hypersistence-optimizer/issues/94)

Locate the add/remove bidirectional synchronization methods in the entity superclasses (https://github.com/vladmihalcea/hypersistence-optimizer/issues/96)

Add support for unwrapping the SessionFactory from the EntityManagerFactory and decorate the JPA EntityManagerFactory when using JBoss 5 and JPA 1.0 (https://github.com/vladmihalcea/hypersistence-optimizer/issues/97)

Add a Java 6 shaded dependency for projects still using Java 6 or 7 (https://github.com/vladmihalcea/hypersistence-optimizer/issues/98)

Hypersistence Optimizer - Version 2.1.0 - 2020-03-31
================================================================================

Check if collection associations are initialized by default (https://github.com/vladmihalcea/hypersistence-optimizer/issues/63)

Verify whether AFTER_STATEMENT connection release is used with RESOURCE LOCAL transactions (https://github.com/vladmihalcea/hypersistence-optimizer/issues/70)

Detect if merge, save, saveOrUpdate, or update are called on an entity that's already managed (https://github.com/vladmihalcea/hypersistence-optimizer/issues/72)

Check if a Session executes for more than 3 seconds (https://github.com/vladmihalcea/hypersistence-optimizer/issues/76)

Add more explanations in the README file (https://github.com/vladmihalcea/hypersistence-optimizer/issues/84)

Add the entityClass property in the EntityMappingEvent to store the entity class that triggered the event (https://github.com/vladmihalcea/hypersistence-optimizer/issues/88)

Trigger the EagerFetchingEvent for associations that don't set lazy="true" in HBM mappings (https://github.com/vladmihalcea/hypersistence-optimizer/issues/90)

Add both Java-based and XML configuration examples for the Spring 4 and 3 installation guide sections (https://github.com/vladmihalcea/hypersistence-optimizer/issues/91)

A "could not resolve the suggested Dialect" exception is thrown when using Quarkus (https://github.com/vladmihalcea/hypersistence-optimizer/issues/92)

Hypersistence Optimizer - Version 2.0.2 - 2020-03-09
================================================================================

Adjust the Installation and User Guides according to their online versions (https://github.com/vladmihalcea/hypersistence-optimizer/issues/83)

ManyToMany associations are not properly discovered when using legacy HBM files (https://github.com/vladmihalcea/hypersistence-optimizer/issues/89)

Hypersistence Optimizer - Version 2.0.1 - 2020-02-19
================================================================================

Prevent a NullPointerException in the ConfigurationScanner if the ConnectionProvider cannot be located (https://github.com/vladmihalcea/hypersistence-optimizer/issues/80)

Verify if the query return types array is null in the checkDistinct method (https://github.com/vladmihalcea/hypersistence-optimizer/issues/81)

Guard runtime checks against possible exceptions that may be thrown (https://github.com/vladmihalcea/hypersistence-optimizer/issues/82)

Hypersistence Optimizer - Version 2.0.0 - 2020-02-17
================================================================================

Detect if an entity query uses DISTINCT without the DISTINCT_PASS_THROUGH JPA query hint set to false (https://github.com/vladmihalcea/hypersistence-optimizer/issues/65)

Check if the Hibernate legacy FlushMode.AUTO is in use (https://github.com/vladmihalcea/hypersistence-optimizer/issues/67)

Check if a query uses pagination without an ORDER BY clause (https://github.com/vladmihalcea/hypersistence-optimizer/issues/69)

The configuration should allow enabling/disabling scanners (https://github.com/vladmihalcea/hypersistence-optimizer/issues/71)

Make ListEventHandler thread-safe (https://github.com/vladmihalcea/hypersistence-optimizer/issues/74)

Add the getEvents() method in HypersistenceOptimizer (https://github.com/vladmihalcea/hypersistence-optimizer/issues/75)

Move the init logic in the HypersistenceOptimizer constructor (https://github.com/vladmihalcea/hypersistence-optimizer/issues/77)

Add the Installation Guide and User Guide in a docs folder inside the packed assembly (https://github.com/vladmihalcea/hypersistence-optimizer/issues/78)

Hypersistence Optimizer - Version 1.3.0 - 2019-11-27
================================================================================

Add support for verifying addChild and removeChild bidirectional association synchronization methods (https://github.com/vladmihalcea/hypersistence-optimizer/issues/45)

Add IdentityGeneratorEvent to differentiate between different types of PostInsertGeneratorEvents (https://github.com/vladmihalcea/hypersistence-optimizer/issues/54)

Add the issue count report at the end of scanning the mappings and configurations (https://github.com/vladmihalcea/hypersistence-optimizer/issues/55)

Fix typos in Event messages (https://github.com/vladmihalcea/hypersistence-optimizer/issues/56)

Make the SLF4J dependency optional and allow the logging configuration to fallback to JBoss Logging or JUL (Java Util Logging) (https://github.com/vladmihalcea/hypersistence-optimizer/issues/58)

Add SQL Server testing support and validate the JDBC fetch size setting (https://github.com/vladmihalcea/hypersistence-optimizer/issues/59)

Add getters to all Events containing additional properties (https://github.com/vladmihalcea/hypersistence-optimizer/issues/60)

Use ChainEventHandler by default and add a new addHandler method (https://github.com/vladmihalcea/hypersistence-optimizer/issues/61)

Print banner using a single logging call (https://github.com/vladmihalcea/hypersistence-optimizer/issues/62)

Hypersistence Optimizer - Version 1.2.3 - 2019-09-08
================================================================================

Check if a given Hibernate 5.1 feature is supported prior to using it (https://github.com/vladmihalcea/hypersistence-optimizer/issues/52)

Hibernate 4.2 should use a different class matching pattern (https://github.com/vladmihalcea/hypersistence-optimizer/issues/51)

Check if a given Hibernate 4.1 feature is supported prior to using it (https://github.com/vladmihalcea/hypersistence-optimizer/issues/50)

Not all Hibernate 3.5 versions support LegacyHiLoAlgorithmOptimizer (https://github.com/vladmihalcea/hypersistence-optimizer/issues/49)

Hibernate 3.3 does not support EnumType (https://github.com/vladmihalcea/hypersistence-optimizer/issues/48)

Hypersistence Optimizer - Version 1.2.2 - 2019-08-02
================================================================================

Allow the license file to be read from a given URL resource (https://github.com/vladmihalcea/hypersistence-optimizer/issues/47)

The InputStream used for reading the license needs better resource handling (https://github.com/vladmihalcea/hypersistence-optimizer/issues/46)

Hypersistence Optimizer - Version 1.2.1 - 2019-07-20
================================================================================

ConfigurationScanner propagates database connectivity issues and stops the bootstrap process (https://github.com/vladmihalcea/hypersistence-optimizer/issues/43)

Add support for missing license file (https://github.com/vladmihalcea/hypersistence-optimizer/issues/42)

Hypersistence Optimizer - Version 1.2.0 - 2019-05-23
================================================================================

Add support for detecting the "hibernate.query.in_clause_parameter_padding" configuration property (https://github.com/vladmihalcea/hypersistence-optimizer/issues/41)

Add support for detecting the "hibernate.query.fail_on_pagination_over_collection_fetch" configuration property (https://github.com/vladmihalcea/hypersistence-optimizer/issues/40)

Add support for detecting the "hibernate.criteria.literal_handling_mode" configuration property (https://github.com/vladmihalcea/hypersistence-optimizer/issues/39)

Add support for detecting the "hibernate.id.new_generator_mappings" configuration property (https://github.com/vladmihalcea/hypersistence-optimizer/issues/38)

Add support for detecting the schema generation configuration properties (https://github.com/vladmihalcea/hypersistence-optimizer/issues/37)

Add support for detecting the "hibernate.enable_lazy_load_no_trans" configuration property (https://github.com/vladmihalcea/hypersistence-optimizer/issues/36)

Add support for detecting the "hibernate.jdbc.fetch_size" configuration property (https://github.com/vladmihalcea/hypersistence-optimizer/issues/35)

Add support for detecting if the "hibernate.jdbc.batch_versioned_data" configuration property is not enabled (https://github.com/vladmihalcea/hypersistence-optimizer/issues/33)

Add support for detecting if the "hibernate.order_updates" configuration property is not enabled (https://github.com/vladmihalcea/hypersistence-optimizer/issues/32)

Add support for detecting if the "hibernate.order_inserts" configuration property is not enabled (https://github.com/vladmihalcea/hypersistence-optimizer/issues/31)

Add support for detecting if the "hibernate.jdbc.batch_size" configuration property is not enabled (https://github.com/vladmihalcea/hypersistence-optimizer/issues/30)

Add support for detecting if the "hibernate.format_sql" configuration property is enabled (https://github.com/vladmihalcea/hypersistence-optimizer/issues/29)

Add support for detecting if the "hibernate.use_sql_comments" configuration property is enabled (https://github.com/vladmihalcea/hypersistence-optimizer/issues/28)

Add support for detecting if the "hibernate.show_sql" configuration property is enabled (https://github.com/vladmihalcea/hypersistence-optimizer/issues/27)

Hypersistence Optimizer - Version 1.1.1 - 2019-05-01
================================================================================

Add an ElementCollectionEvent that is triggered when detecting that a List or an array is used as an @ElementCollection (https://github.com/vladmihalcea/hypersistence-optimizer/issues/20)

Provide more details to the ElementCollectionEvent and lower its priority (https://github.com/vladmihalcea/hypersistence-optimizer/issues/25)

@DynamicUpdate should be considered in the LargeColumnEvent (https://github.com/vladmihalcea/hypersistence-optimizer/issues/24)

Hypersistence Optimizer - Version 1.1.0 - 2019-04-13
================================================================================

Add support for detecting if hibernate.connection.provider_disables_autocommit is set for RESOURCE_LOCAL transactions (https://github.com/vladmihalcea/hypersistence-optimizer/issues/18)

Add support for checking JTA transaction connection release mode (https://github.com/vladmihalcea/hypersistence-optimizer/issues/17)

Add support for checking the Dialect version (https://github.com/vladmihalcea/hypersistence-optimizer/issues/16)

Add support for detecting the DriverManagerConnectionProvider (https://github.com/vladmihalcea/hypersistence-optimizer/issues/15)

Add support for suggesting using the DataSourceConnectionProvider (https://github.com/vladmihalcea/hypersistence-optimizer/issues/14)

Hypersistence Optimizer - Version 1.0.5 - 2019-04-03
================================================================================

ArrayIndexOutOfBoundsException is thrown for entities using composite identifiers with multiple @JoinColumn (https://github.com/vladmihalcea/hypersistence-optimizer/issues/12)

NullPointerException is thrown when scanning a bidirectional association defined with HBM mappings (https://github.com/vladmihalcea/hypersistence-optimizer/issues/11)

--------------------------------------------------------------------------------

Hypersistence Optimizer - Version 1.0.4 - 2019-04-01
================================================================================

Prefer EMF#unwrap from Hibernate 4.3 and add integration tests to verify the SessionFactory unwrapping from the Spring EntityManagerFactory (https://github.com/vladmihalcea/hypersistence-optimizer/issues/10)

--------------------------------------------------------------------------------

Hypersistence Optimizer - Version 1.0.3 - 2019-03-27
================================================================================

NullPointerException is thrown when scanning a unidirectional association defined with HBM mappings (https://github.com/vladmihalcea/hypersistence-optimizer/issues/5).

NullPointerException is thrown when scanning a composite entity identifier (https://github.com/vladmihalcea/hypersistence-optimizer/issues/2).

--------------------------------------------------------------------------------

Hypersistence Optimizer - Version 1.0.2 - 2019-03-25
================================================================================

Provide a URL in the Event where the user can read more about it in the docs (https://github.com/vladmihalcea/hypersistence-optimizer/issues/9).

Rename Java modules from "optimzer" to "optimizer" (https://github.com/vladmihalcea/hypersistence-optimizer/issues/8).

Rename listEventListner to listEventHandler to match the returned type.

--------------------------------------------------------------------------------

Hypersistence Optimizer - Version 1.0.1 - 2019-03-22
================================================================================

Rename eventListener in Config to eventHandler (https://github.com/vladmihalcea/hypersistence-optimizer/issues/6).

Preserve Unix line ending in maven-install.sh (https://github.com/vladmihalcea/hypersistence-optimizer/issues/7).

--------------------------------------------------------------------------------

Hypersistence Optimizer - Version 1.0.0 - 2019-03-19
================================================================================

The initial release adds support for scanning JPA and Hibernate mappings 
and provide optimization advice for the following Hibernate versions:

* 5.4, 
* 5.3, 
* 5.2, 
* 5.1, 
* 5.0, 
* 4.3,
* 4.2, 
* 4.1, 
* 3.6, 
* 3.5, 
* 3.3.

The following mapping events are supported:

* BatchFetchingEvent
* EagerFetchingEvent
* ElementCollectionEvent
* EnumTypeStringEvent
* ExtraLazyCollectionEvent
* HiLoOptimizerEvent
* IntegerVersionColumnSizeEvent
* LargeColumnEvent
* LongVersionColumnSizeEvent
* ManyToManyCascadeRemoveEvent
* ManyToManyListEvent
* NaturalIdCacheEvent
* OneToOneParentSideEvent
* OneToOneWithoutMapsIdEvent
* PostInsertGeneratorEvent
* PrimitiveIdentifierEvent
* StringDiscriminatorTypeEvent
* SubSelectFetchingEvent
* TableGeneratorEvent
* TablePerClassInheritanceEvent
* TimestampVersionEvent
* UnidirectionalOneToManyEvent
* UnidirectionalOneToManyJoinTableEvent